demos

## Package demos

### Types

DemoClock | `class DemoClock : Clock` A Clock that can have the date advanced for use in demos
TraderDemoProtocolBuyer | `class TraderDemoProtocolBuyer : ProtocolLogic<Unit>`
TraderDemoProtocolSeller | `class TraderDemoProtocolSeller : ProtocolLogic<Unit>`

### Functions

main | `fun main(args: Array<String>): Unit` `fun main(args: Array<String>): Unit` `fun main(args: Array<String>): Unit` Creates a dummy transaction that requires a rate fix within a certain range, and gets it signed by an oracle service.
nodeInfo | `fun nodeInfo(hostAndPortString: String, identityFile: String, advertisedServices: Set<ServiceType> = emptySet()): NodeInfo`